## org.eclipse.ocl.cst
Interface IfExpCS

All Superinterfaces:
  CSTNode, EObject, Notifier, OCLExpressionCS

All Known Implementing Classes:
  IfExpCSImpl

    public interface IfExpCS

extends OCLExpressionCS

A representation of the model object 'If Exp CS'.

The following features are supported:

- `Then Expression`
- `Else Expression`
- `Condition`

See Also:
  `CSTPackage.getIfExpCS()`

Method Summary
`OCLExpressionCS` `getCondition()` Returns the value of the 'Condition' containment reference
`OCLExpressionCS` `getElseExpression()` Returns the value of the 'Else Expression' containment reference
`OCLExpressionCS` `getThenExpression()` Returns the value of the 'Then Expression' containment reference
`void` `setCondition(OCLExpressionCS value)` Sets the value of the '`Condition`' containment reference
`void` `setElseExpression(OCLExpressionCS value)` Sets the value of the '`Else Expression`' containment reference
`void` `setThenExpression(OCLExpressionCS value)` Sets the value of the '`Then Expression`' containment reference

Methods inherited from interface org.eclipse.ocl.cst.CSTNode
`getAst, getEndOffset, getEndToken, getStartOffset, getStartToken, setAst, setEndOffset, setEndToken, setStartOffset, setStartToken`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getThenExpression

    OCLExpressionCS getThenExpression()

  Returns the value of the 'Then Expression' containment reference.

  If the meaning of the 'Then Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Then Expression' containment reference.
  See Also:
    `setThenExpression(OCLExpressionCS)`, `CSTPackage.getIfExpCS_ThenExpression()`

### setThenExpression

    void setThenExpression(OCLExpressionCS value)

  Sets the value of the '`Then Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Then Expression' containment reference.
  See Also:
    `getThenExpression()`

### getElseExpression

    OCLExpressionCS getElseExpression()

  Returns the value of the 'Else Expression' containment reference.

  If the meaning of the 'Else Expression' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Else Expression' containment reference.
  See Also:
    `setElseExpression(OCLExpressionCS)`, `CSTPackage.getIfExpCS_ElseExpression()`

### setElseExpression

    void setElseExpression(OCLExpressionCS value)

  Sets the value of the '`Else Expression`' containment reference.

  Parameters:
    `value` - the new value of the 'Else Expression' containment reference.
  See Also:
    `getElseExpression()`

### getCondition

    OCLExpressionCS getCondition()

  Returns the value of the 'Condition' containment reference.

  If the meaning of the 'Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `setCondition(OCLExpressionCS)`, `CSTPackage.getIfExpCS_Condition()`

### setCondition

    void setCondition(OCLExpressionCS value)

  Sets the value of the '`Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Condition' containment reference.
  See Also:
    `getCondition()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.